%define title     Openbox

%define rendermajor 32
%define libobrender %mklibname obrender %rendermajor
%define obtmajor 2
%define libobt %mklibname obt %obtmajor
%define develname %mklibname -d %name

Summary:          Windowmanager based on the original blackbox-code
Name:             openbox
Version:          3.6.1
%define           subrel 2
Release:          %mkrel 5
Group:            Graphical desktop/Other
License:          BSD
URL:              http://openbox.org/
Source0:          http://openbox.org/dist/openbox/%name-%version.tar.gz
# oxygen-theme here:
# http://box-look.org/content/show.php?content=145240
Source1:          http://box-look.org/CONTENT/content-files/145240-Oxynew.obt
# generate xdg menus
Source2:          xdg-menu-openbox
# mga default menu
Source3:          menu.xml
# run gnome-screenshot when hitting printscreen
Patch0:           01_rc.xml.dpatch
Patch1:           openbox-3.5.2-unused-libs.patch
Patch2:           openbox-default-theme.patch
Patch3:           openbox-3.6.1-upstream-patches.patch
# Patch4:           openbox-3.6.1-arm-window-move-lag.patch

BuildRequires:  pkgconfig(glib-2.0) >= 2.14.0
BuildRequires:  pkgconfig(imlib2)
BuildRequires:  pkgconfig(librsvg-2.0)
BuildRequires:  pkgconfig(libstartup-notification-1.0) >= 0.8
BuildRequires:  pkgconfig(libxml-2.0) >= 2.6.0
BuildRequires:  pkgconfig(pango) >= 1.8.0
BuildRequires:  pkgconfig(pangoxft) >= 1.8.0
BuildRequires:  pkgconfig(xcursor)
BuildRequires:  libxext-devel
BuildRequires:  libxrandr-devel
BuildRequires:  libxinerama-devel
BuildRequires:  pkgconfig(x11)
BuildRequires:  libsm-devel
BuildRequires:  libice-devel
BuildRequires:  libxau-devel
BuildRequires:  libxft-devel
BuildRequires:  gettext-devel
Requires:       xsetroot
Requires:       python-pyxdg
Recommends:     obconf
# for PrintScreen
Recommends:     gnome-screenshot
Conflicts:      desktop-common-data < 1:3.10-2

%description
Openbox is a window manager for the X11 windowing system.
It currently runs on a large list of platforms. It was originally
based on blackbox and currently remains very similar, even using
blackbox styles (with available extensions) for its themeing.

Openbox is the spawn of a number of previous blackbox users/hackers.
Being overall pleased with the window manager, but feeling left unable
to contribute, this project was born.The Openbox project is developed,
maintained, and contributed to by these individuals.

%package -n %libobt
Summary: Libraries from openbox
Group: System/Libraries

%description -n %libobt
Openbox is a window manager for the X11 windowing system.
It currently runs on a large list of platforms. It was originally
based on blackbox and currently remains very similar, even using
blackbox styles (with available extensions) for its themeing.

Openbox is the spawn of a number of previous blackbox users/hackers.
Being overall pleased with the window manager, but feeling left unable
to contribute, this project was born.The Openbox project is developed,
maintained, and contributed to by these individuals.

%package -n %libobrender
Summary: Libraries from openbox
Group: System/Libraries

%description -n %libobrender
Openbox is a window manager for the X11 windowing system.
It currently runs on a large list of platforms. It was originally
based on blackbox and currently remains very similar, even using
blackbox styles (with available extensions) for its themeing.

Openbox is the spawn of a number of previous blackbox users/hackers.
Being overall pleased with the window manager, but feeling left unable
to contribute, this project was born.The Openbox project is developed,
maintained, and contributed to by these individuals.

%package -n %develname
Summary: Development files from openbox
Group: Development/Other
Requires: %libobt = %version-%release
Requires: %libobrender = %version-%release
Provides: %name-devel = %version-%release

%description -n %develname
Openbox is a window manager for the X11 windowing system.
It currently runs on a large list of platforms. It was originally
based on blackbox and currently remains very similar, even using
blackbox styles (with available extensions) for its themeing.

Openbox is the spawn of a number of previous blackbox users/hackers.
Being overall pleased with the window manager, but feeling left unable
to contribute, this project was born.The Openbox project is developed,
maintained, and contributed to by these individuals.

%prep
%setup -q -a1
%patch0 -p0
%patch1 -p1
%patch2 -p0
%patch3 -p1
sed -i "s|tless -->|tless -->\n<!-- Insert dynamic xdg menu -->\n<file>xdg-menu.xml</file>|g" data/rc.xml 

%build
autoreconf -fi
%configure2_5x --disable-static
%make_build DEFAULT_MENU=%{_sysconfdir}/xdg/openbox/menu.xml

%install
%make_install

mkdir -p %{buildroot}%{_datadir}/themes/oxygen/openbox-3/
install -m 0644 Oxynew/openbox-3/*.xbm Oxynew/openbox-3/themerc  %{buildroot}%{_datadir}/themes/oxygen/openbox-3/
install -Dpm 0755 %{SOURCE2} %{buildroot}%{_sysconfdir}/menu.d/openbox
install -Dpm 0644 %{SOURCE3} %{buildroot}%{_sysconfdir}/xdg/openbox/menu.xml

mkdir -p %{buildroot}%{_bindir}
cat > %{buildroot}%{_bindir}/start%{name} <<EOF
#!/bin/sh
%{_bindir}/xsetroot -solid Black
exec %{_bindir}/openbox-session
EOF
chmod 0755 %{buildroot}%{_bindir}/start%{name}

%find_lang %name

find %{buildroot} -name *.la | xargs rm
# drop xsession files per bug#3653
rm -fr %{buildroot}%{_datadir}/xsessions

# session file
mkdir -p %{buildroot}%{_datadir}/xsessions
cat > %{buildroot}%{_datadir}/xsessions/%{name}.desktop << EOF
[Desktop Entry]
Encoding=UTF-8
Name=Openbox
Comment=Openbox
Exec=%{_bindir}/startopenbox
Icon=openbox
Type=Application
EOF

%posttrans
if [ "$1" -eq 1 ]; then
  if [ -e %{_datadir}/xsessions/26Openbox.desktop ]; then
    rm -rf %{_datadir}/xsessions/26Openbox.desktop
  fi
  if [ -e %{_sysconfdir}/X11/dm/Sessions/26Openbox.desktop ]; then
    rm -rf %{_sysconfdir}/X11/dm/Sessions/26Openbox.desktop
  fi
fi

%files -f %name.lang
%doc AUTHORS CHANGELOG COMPLIANCE COPYING README
%doc data/*.xsd doc/*.xml
%{_docdir}/%{name}/xbm/
%{_bindir}/*
%dir %{_sysconfdir}/xdg/%{name}
%{_sysconfdir}/menu.d/%{name}
%config(noreplace) %{_sysconfdir}/xdg/%{name}/*
%ghost %config(noreplace) %{_sysconfdir}/xdg/%{name}/xdg-menu.xml
%{_libexecdir}/openbox-autostart
%{_libexecdir}/openbox-xdg-autostart
%{_datadir}/man/man1/*
%{_datadir}/gnome-session/sessions/openbox-*.session
%{_datadir}/gnome/wm-properties/openbox.desktop
%{_datadir}/applications/*.desktop
%{_datadir}/pixmaps/*
%{_datadir}/themes/*
%{_datadir}/xsessions/%{name}.desktop

%files -n %libobt
%{_libdir}/libobt.so.%{obtmajor}
%{_libdir}/libobt.so.%{obtmajor}.*

%files -n %libobrender
%{_libdir}/libobrender.so.%{rendermajor}
%{_libdir}/libobrender.so.%{rendermajor}.*

%files -n %develname
%{_libdir}/pkgconfig/*.pc
%{_libdir}/*.so
%{_includedir}/%{name}


%changelog
* Wed Feb 14 2018 kekepower <kekepower> 3.6.1-5.2.mga6
+ Revision: 1200946
- Bump subrel to include the two new patches
- Added two more patches from upstream
- Added two upstream patches
- Switched tabs for spaces in spec file
- Use make_build instead of make

* Mon Mar 06 2017 wally <wally> 3.6.1-5.mga6
+ Revision: 1089096
- create config dir under $HOME if it doesn't exist when updating menus
- use C locale when updating menus or menus won't work
- own generated menu file

* Fri Feb 24 2017 wally <wally> 3.6.1-4.mga6
+ Revision: 1087722
- remove generated xsessions .desktop file leftovers also from /etc/X11/dm/Sessions

* Fri Feb 12 2016 umeabot <umeabot> 3.6.1-3.mga6
+ Revision: 956513
- Mageia 6 Mass Rebuild

* Wed Feb 03 2016 ns80 <ns80> 3.6.1-2.mga6
+ Revision: 933562
- directly create our own xsession .desktop file
- conflict with old desktop-common-data with fndSession

* Thu Jan 28 2016 fwang <fwang> 3.6.1-1.mga6
+ Revision: 928350
- bump so version
- 3.6.1

* Wed Oct 21 2015 daviddavid <daviddavid> 3.6-2.mga6
+ Revision: 893676
- add more docs to fix build with latest rpm

* Mon Jun 22 2015 fwang <fwang> 3.6-1.mga6
+ Revision: 839121
- 3.6

* Thu Nov 06 2014 alexl <alexl> 3.5.2-8.mga5
+ Revision: 795959
- add recommends gnome-screenshot for PrintScreen

* Wed Oct 15 2014 umeabot <umeabot> 3.5.2-7.mga5
+ Revision: 739095
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 3.5.2-6.mga5
+ Revision: 683188
- Mageia 5 Mass Rebuild

  + tv <tv>
    - s/uggests:/Recommends:/

* Tue Jan 07 2014 tarakbumba <tarakbumba> 3.5.2-5.mga4
+ Revision: 565485
- Add python-pyxdg requires as mentioned in openbox-xdg-autostart

* Sat Oct 19 2013 umeabot <umeabot> 3.5.2-4.mga4
+ Revision: 531963
- Mageia 4 Mass Rebuild

* Wed Aug 14 2013 fwang <fwang> 3.5.2-3.mga4
+ Revision: 466335
- drop unused libs from pkgconfig files

* Wed Aug 14 2013 fwang <fwang> 3.5.2-2.mga4
+ Revision: 466291
- update file list
- update rendermajor
- update obt major
- new version 3.5.2

* Sun Jun 23 2013 djennings <djennings> 3.5.0-10.mga4
+ Revision: 446062
- Cleaned spec file
- Added dynamic xdg menu
- cleanup BuildRequires

* Sat Feb 16 2013 fwang <fwang> 3.5.0-9.mga3
+ Revision: 398759
- update dir
- fix dir
- upload new theme
- swtich to more modern oxygen theme

* Sun Jan 13 2013 umeabot <umeabot> 3.5.0-8.mga3
+ Revision: 361910
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Apr 25 2012 obgr_seneca <obgr_seneca> 3.5.0-7.mga2
+ Revision: 233281
- fixed permissions of startopenbox script
- fixing bug #5515

* Mon Mar 05 2012 obgr_seneca <obgr_seneca> 3.5.0-6.mga2
+ Revision: 219092
- fixed file permissions on openbox oxygen theme

* Thu Dec 08 2011 fwang <fwang> 3.5.0-5.mga2
+ Revision: 178796
- drop xsessions files from package (bug#3653)
- suggests obconf now :)
- revert previous patch overwritten
- remove xlibs from pkgconfig files
- disable obconf suggests as it does not like openbox 3.5
- new version 3.5.0
- default to oxygen theme

* Tue May 03 2011 pterjan <pterjan> 3.4.11.2-5.mga1
+ Revision: 94423
- Add upstream 24 bit support (#946)

* Wed Jan 26 2011 ahmad <ahmad> 3.4.11.2-4.mga1
+ Revision: 41416
- drop old/unneeded scriptles
- imported package openbox

